/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	nl_types.h,v $
 * Revision 4.2.2.2  92/03/27  15:28:10  Craig_Horman
 * 	Merge with AG
 * 	[92/03/27  14:02:39  Craig_Horman]
 * 
 * 	Merge with BL5
 * 	[92/03/10  11:49:15  Craig_Horman]
 * 
 * 	Added C++ Support
 * 	[92/02/26  16:34:33  Craig_Horman]
 * 
 * Revision 4.2  91/09/20  05:18:13  devbld
 * 	Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: nl_types.h,v $ $Revision: 4.2.2.2 $ (DEC) $Date: 92/03/27 15:28:10 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */

/*
 * COMPONENT_NAME: INC
 *
 * FUNCTIONS: nl_types.h
 *
 * ORIGINS: 27
 *
 * This module contains IBM CONFIDENTIAL code. -- (IBM
 * Confidential Restricted when combined with the aggregated
 * modules for this product)
 * OBJECT CODE ONLY SOURCE MATERIALS
 * (C) COPYRIGHT International Business Machines Corp. 1988, 1989
 * All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 */

#ifndef _NL_TYPES_H_
#define _NL_TYPES_H_

#include <standards.h>

#ifdef _XOPEN_SOURCE
typedef int nl_item;
typedef struct catalog_descriptor *nl_catd;

#define NL_SETD 	1  				

#ifdef _NO_PROTO
extern nl_catd catopen();
extern char  *catgets();
extern int catclose();
#else
#if defined(__STDC__) || defined(__cplusplus)
#if defined(__cplusplus)
extern "C"
{
#endif
extern nl_catd catopen(char *, int );
extern char  *catgets(nl_catd , int , int , char *);
extern int catclose(nl_catd );
#if defined(__cplusplus)
}
#endif
#endif
#endif /* _NO_PROTO */
#endif /* _XOPEN_SOURCE */

#ifdef _OSF_SOURCE
typedef struct catalog_descriptor CATD;

#ifdef	_NO_PROTO
nl_catd NLcatopen();
char *	NLgetamsg();
#else
#if defined(__STDC__) || defined(__cplusplus)
#if defined(__cplusplus)
extern "C"
{
#endif
nl_catd NLcatopen(char *, int);
extern char *NLgetamsg(char*, int, int, char*);
#if defined(__cplusplus)
}
#endif
#endif
#endif	/* _NO_PROTO */


#ifdef _CAT_MACRO
#ifdef _NO_PROTO
char *fcatgets();
char *NLfcatgets();
char *fcatgetmsg();
#else
#if defined(__STDC__) || defined(__cplusplus)
#if defined(__cplusplus)
extern "C"
{
#endif
extern char   *fcatgets(nl_catd,int,int,char*);
extern char *NLfcatgets(nl_catd,int,int,char*);
extern char *fcatgetmsg(nl_catd,int,int,char*,int);
#if defined(__cplusplus)
}
#endif
#endif
#endif	/* _NOPROTO */
#else
#ifdef _NO_PROTO
char *catgets();
char *NLcatgets();
char *catgetmsg();
#else
#if defined(__STDC__) || defined(__cplusplus)
#if defined(__cplusplus)
extern "C"
{
#endif
extern char   *catgets(nl_catd, int, int, char *);
extern char *NLcatgets(nl_catd, int, int, char *);
extern char *catgetmsg(nl_catd, int, int, char*, int);
#if defined(__cplusplus)
}
#endif
#endif
#endif
#endif

#include <mesg.h>
#endif /* _OSF_SOURCE */

#endif /* _NL_TYPES_H_ */
